-- --------------------------------------------------------------------------
-- Copyright © 2008 PlayFirst, Inc. All Rights Reserved.
--
-- This material is the confidential trade secret and proprietary
-- information of PlayFirst, Inc. It may not be reproduced, used, disclosed,
-- sold or transferred without the prior written consent of PlayFirst, Inc. 
-- All rights reserved.
-- --------------------------------------------------------------------------
dofile("scripts/definitions/audio.lua");
dofile("scripts/tittle_style.lua");
dofile("scripts/definitions/tug_settings.lua");
dofile("scripts/definitions/tutorialtug.lua");

EnemyFont = {
	standardFont,
	30,
	AquaColor
};

MakeDialog
{
	name = "tugofwar",
	
	Bitmap
	{
		name = "backTug",
		image = "images/tugofwar/backgrounds/tugofwar02",
		x = 0, y = 0, w = kMax, h = kMax,
		
		
		
--tugofware.cpp
		TugOfWarWindow
		{
			x = 0, y = 0, w = kMax, h = kMax,
			
			SetStyle(FitnessButtonStyleRelease),
		--Release	
				SBButton
				{
					sound		= "",
					x = 0,
					y = 800,
					name="releasebtn",
					label="ui.tug.release",
					command =
						function()
							ReleaseRow();
						end
				};
				SetStyle(FitnessButtonStyleTittleSmallBlue2),	
				SBButton{
						x=0,
						y=800,
						name="menutug",
						icon="assets/images/ui/buttons/icon/iconmoregames",
						label="hud.label.menu",
						command = 
							function()
								SendGameMessage("ui.game.pause");
							end				
				},
		},
		SetStyle(FitnessButtonStyleTittleXLBlueTxInside),
		SBButton{
				x=0,
				y=800,
				font = MenuButtonFont2,
				name="skiptutorial",
				label="ui.dialog.skiptutorial.label",	
				command = 
			 		function()
			 			SkipTutorial();
			 		end
				
		},
		SetStyle(FitnessButtonStyleTittleSmallBlueFlashing),	
			SBButton{
					x=0,
					y=800,
					icon="assets/images/ui/buttons/icon/iconnexttuto",
					name="ContinueTutorial",
					type = kToggle,
					
					command = 
					 	function()
					 		ButtonContinue();
					 	end		
	
			},
		Text
		{
			font = IngameFont,
			x=800,
			name="ContinueTutorialtx",
			y=800,
			flags = kHAlignRight + kVAlignCenter,
			label="next",
		},
	},
}